#
# spec file for package librpcsecgss (Version 0.14)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cpp41 cracklib cvs cyrus-sasl db diffutils e2fsprogs e2fsprogs-devel file filesystem fillup findutils flex gawk gcc gcc41 gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd krb5 krb5-devel less libacl libattr libcom_err libgcc41 libgssapi libltdl libmudflap41 libnscd libstdc++41 libtool libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions pkgconfig popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           librpcsecgss
BuildRequires:  krb5-devel libgssapi pkgconfig
Url:            http://www.citi.umich.edu/projects/nfsv4/linux
Summary:        Library Implementing GSSAPI Security for ONC RPC
Version:        0.14
Release:        23
Group:          Development/Libraries/C and C++
License:        BSD 3-Clause
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
AutoReqProv:    on
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source:         http://www.citi.umich.edu/projects/nfsv4/linux/librpcsecgss/librpcsecgss-%{version}.tar.bz2
Patch:          librpcsecgss-CVE-2007-3999-and-CVE-2007-2443.patch
Requires:       libgssapi

%description
This library implements the GSS security mechanism for ONC RPC. It can
be used to provide strong authentication and security for NFS.



Authors:
--------
    Kevin W. Coffman, based on code
    from Sun Microsystems distributed
    with the MIT Kerberos distribution

%debug_package
%prep
%setup -q
%patch0

%build
%{?suse_update_config:%{suse_update_config -f }}
autoconf
CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing" ./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--mandir=%{_mandir}
make

%install
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_prefix}/include/rpcsecgss
%{_libdir}/lib*
%{_libdir}/pkgconfig/librpcsecgss.pc
%changelog
* Wed Oct 24 2007 - meissner@suse.de
- fixed CVE-2007-3999 / #305261 RPC underflow problem
- fixed the missing parts of the CVE-2007-2443 overflow problem.
* Wed Aug 09 2006 - ro@suse.de
- update to version 0.14 (changes since 0.7)
  * From Olga Kornievskaia -- add new prep_refresh function
  to clean up context information before trying to refresh
  a context
  * From Olga Kornievskaia -- add new function to access
  retry count for a context.
  * Adds back clnt_* files which have the necessary calls
  needed for privacy.
  * Fix potential memory leak on authgss_create() failure.
  * Patch from Timo Aaltonen <tjaalton@cc.hut.fi> for
  Debian packaging.
  * Modify authgss_get_private_data() to "forget" about the
  private data it just gave away.
  * Add new function authgss_free_private_data() to be
  called by the caller of authgss_get_private_data()
  to free up resources.
  * Remove all unnecessary headers from this distribution and
  instead use the headers provided by glibc.  This should
  fix problems reported on 64-bit platforms.
  * Fix compiler errors and most warnings due to these changes.
  * Add install code to remove old versions of our headers that
  may have been previously installed.
  * Change soname and version.  (ldconfig must be run,
  nfs-utils must be re-built and re-linked.)
  * Add function to handle xdr of gss_buffer_desc.  This
  properly handles the size_t/u_int mismatch on 64-bit
  platforms.
  * From Olga Kornievskaia -- use prep_refresh stuff in the
  tcp client.  (Needed for SPKM3 context negotiations.)
  * Fix SPKM3 context negotiation problem which was introduced
  in Release 0.12.  Buffers for SPKM3 are much bigger than in
  Kerberos, maxlength was too small while encoding gss_buffers.
  * Introduce function renaming so there is no conflict with
  functions in the glibc library.  This fixes problems when
  NIS is used and winds up calling our function rather than
  the glibc version of the function.
* Tue May 30 2006 - okir@suse.de
- Fix for 64bit issues on big-endian machines (#172605)
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Dec 12 2005 - okir@suse.de
- Updated to latest upstream version (0.7)
* Tue May 31 2005 - okir@suse.de
- Initial packaging
